use 5.005;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

#
# $Id: Makefile.PL,v 1.5 2003/11/01 21:02:00 matt Exp $
#

$|++;

sub MY::postamble { 
q|

docs:
	pod2text maillogs         > README
	pod2text doc/FAQ.pod      > doc/FAQ
	pod2text doc/Changes.pod  > Changes

	pod2html --title="Mail::Logs README"  maillogs        > doc/README.html
	pod2html --title="Mail::Logs FAQ"     doc/FAQ.pod     > doc/FAQ.html
	pod2html --title="Mail::Logs Changes" doc/Changes.pod > doc/Changes.html

qmail:
	mkdir -p /var/log/mail/smtp
	mkdir -p /var/log/mail/send
	mkdir -p /var/log/mail/pop3
	mkdir -p /var/log/mail/counters

	cp maillogs /var/log/mail/smtp/smtplog
	chmod 755 /var/log/mail/smtp/smtplog
	cp maillogs /var/log/mail/send/sendlog
	chmod 755 /var/log/mail/send/sendlog
	cp maillogs /var/log/mail/pop3/pop3log
	chmod 755 /var/log/mail/pop3/pop3log

web:
	pod2html --title="Mail::Logs README"  maillogs        > doc/README.html
	pod2html --title="Mail::Logs FAQ"     doc/FAQ.pod     > doc/FAQ.html
	pod2html --title="Mail::Logs Changes" doc/Changes.pod > doc/Changes.html
	rm pod2htm*

	cp doc/FAQ.html     /Users/matt/Sites/www.tnpi.biz/internet/mail/maillogs/FAQ.html
	cp doc/Changes.html /Users/matt/Sites/www.tnpi.biz/internet/mail/maillogs/Changes.html
	cp doc/README.html  /Users/matt/Sites/www.tnpi.biz/internet/mail/maillogs/README.html
	cp maillogs         /Users/matt/Sites/www.tnpi.biz/internet/mail/maillogs/maillogs
	cp Mail-Logs-$(VERSION).tar.gz /Users/matt/Sites/www.tnpi.biz/internet/mail/maillogs/src/
	mv Mail-Logs-$(VERSION).tar.gz /Users/matt/Sites/www.tnpi.biz/internet/mail/maillogs/Mail-Logs.tar.gz

|;

}

WriteMakefile(
	'NAME'           => 'Mail::Logs',
	'VERSION_FROM'   => 'maillogs', # finds $VERSION
	'EXE_FILES'      => [ 'maillogs' ],
	'INSTALLSCRIPT'  => '/usr/local/sbin',
	'PREREQ_PM'      => {'MATT::Utility' => 0, 'MATT::Perl' => 0 },
	'AUTHOR'         => 'Matt Simerson <matt@tnpi.biz>',
	'ABSTRACT'       => 'Processor and analyzer for mail logs',

#	($] >= 5.005 ?     ## Add these new keywords supported since 5.005
#	  ( ABSTRACT_FROM  => 'maillogs',   # retrieve abstract from module
#		AUTHOR         => 'Matt Simerson <matt@tnpi.biz>') : ()),
);

